Skip to main content

Raw Request

Snapshot Catalog Entry

This page is generated from broker tools/list snapshot data.

POSTgoogle.google_raw_request

Send an arbitrary Google API request with OAuth credentials.

Request Body

{
"jsonrpc": "2.0",
"id": "google-google-raw-request-example",
"method": "tools/call",
"params": {
"name": "google.google_raw_request",
"arguments": {
"method": "method_example",
"url": "https://example.com/resource",
"params": "",
"json_body": "",
"headers": ""
}
}
}

Arguments Schema

{
"properties": {
"method": {
"type": "string"
},
"url": {
"type": "string"
},
"params": {
"anyOf": [
{
"additionalProperties": true,
"type": "object"
},
{
"type": "null"
}
]
},
"json_body": {
"anyOf": [
{
"additionalProperties": true,
"type": "object"
},
{
"type": "null"
}
]
},
"headers": {
"anyOf": [
{
"additionalProperties": {
"type": "string"
},
"type": "object"
},
{
"type": "null"
}
]
}
},
"required": [
"method",
"url"
],
"type": "object"
}

Code Examples

curl -X POST 'https://madpanda3d.com/lab/mad-mcps/portal/api/mcp' \
-H 'Authorization: Bearer mad_live_***' \
-H 'Content-Type: application/json' \
-d '{
"jsonrpc": "2.0",
"id": "google-google-raw-request-example",
"method": "tools/call",
"params": {
"name": "google.google_raw_request",
"arguments": {
"method": "method_example",
"url": "https://example.com/resource",
"params": "",
"json_body": "",
"headers": ""
}
}
}'

Example Responses

{
"ok": true,
"message": "Tool google.google_raw_request executed successfully.",
"note": "Response shape varies by MCP tool. Inspect live responses for exact fields."
}